## deja-dup 34.0

=== debian/changelog ===
deja-dup (34.0-1ubuntu3) wily; urgency=medium

  * debian/control.in: Add dh-translations to Build-Depends to fix a FTBFS.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 01 Sep 2015 15:55:33 -0400

deja-dup (34.0-1ubuntu2) wily; urgency=medium

  * debian/control.in: Drop Build-dep on gnome-control-center
  * debian/rules: Don't enable CCPANEL, support for external panels
    in gnome-control-center is being removed. (LP: #147788)

 -- Tim Lunn <tim@feathertop.org>  Fri, 24 Jul 2015 10:34:23 +1000

deja-dup (34.0-1ubuntu1) wily; urgency=low

  * Merge from debian. Remaining changes:
    - debian/control:
      + Add appdata-tools to Build-Deps to validate appdata file
      + Add dbus-x11, python3 and desktop-file-utils as Build-Depends for tests
      + Use dh-translations
      + Change yelp-tools Build-Depend to just itstool, as that's all
        that is needed
      + Build-depend on gnome-control-center, unity-control-center, libunity
      + Add XS-Testsuite: Autopkgtest
      + Use ubuntu vcs
      + Use ${misc:Pre-Depends}
      + Depend on adwaita-icon-theme
      + Don't recommend an ssh client
      + Reccomend policykit-1
      + Improve descriptions
      + Split backends into different packages
      + Drop dbg package
    - debian/rules:
      + Add --with translations to configure
      + Enable CCPANEL, UNITY, UNITY_CCPANEL
      + Use multiarch libs
      + Don't make a dbg package
      + Run dh_auto_test
      + Don't override dh_makeshlibs
    - Add autopkgtest

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 04 Jul 2015 13:39:47 +1000

deja-dup (34.0-1) unstable; urgency=medium

  * Team upload.
  * New upstraem release.
  * Update outdated section names in debian/gbp.conf.

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Jun 2015 16:54:00 +0200

deja-dup (32.0-0ubuntu5) vivid; urgency=medium

  * debian/patches/0001-fix-appdata-validate-ftbs.patch:
    - Pass --nonet so that the validation doesn't fail when it can't
      reach the network. (LP: #1424652)

 -- Michael Terry <mterry@ubuntu.com>  Mon, 23 Feb 2015 11:25:06 -0500

deja-dup (32.0-0ubuntu4) vivid; urgency=medium

  * Fix FTBS caused by appdata-validate being deprecated (LP: #1424652)
    - Replaced by appstream-util validate-relax

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 20 Feb 2015 16:40:09 +0100

deja-dup (32.0-0ubuntu3) vivid; urgency=medium

  * Change appdata-tools b-dep to appstream-util

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 14 Feb 2015 07:59:28 +1100

deja-dup (32.0-0ubuntu2) vivid; urgency=medium

  * Switch gnome-icon-theme to adwaita-icon-theme, which is its
    successor. (LP: #1414613)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 26 Jan 2015 17:26:12 +0000

deja-dup (32.0-0ubuntu1) utopic; urgency=medium

  * New upstream bug fix release
  * debian/patches/deprecated-property.patch,
    debian/patches/drop-u1.patch,
    debian/patches/support-valac-0.24.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Sat, 20 Sep 2014 11:35:28 -0400

deja-dup (30.0-0ubuntu7) utopic; urgency=medium

  * debian/patches/deprecated-property.patch:
    - Patch from Laney to quiet a deprecation warning during test run

 -- Michael Terry <mterry@ubuntu.com>  Tue, 22 Jul 2014 08:50:09 -0400

deja-dup (30.0-0ubuntu6) utopic; urgency=medium

  * debian/control:
    - Add appdata-tools to Build-Deps to validate appdata file
  * debian/tests/control:
    - Add dbus-x11 to test deps to fix autopkgtest runs

 -- Michael Terry <mterry@ubuntu.com>  Fri, 02 May 2014 14:05:32 -0400

deja-dup (30.0-0ubuntu5) utopic; urgency=medium

  * debian/patches/support-valac-0.24.patch:
    - Fix an array slice usage that changed in valac 0.24 (only affects
      testing code).  Patch from upstream.  LP: #1315185

 -- Michael Terry <mterry@ubuntu.com>  Fri, 02 May 2014 09:59:35 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@ubuntu.com>, Iain Lane <iain@orangesquash.org.uk>, Jackson Doak <noskcaj@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Louis Bouchard <louis.bouchard@ubuntu.com>, Michael Biebl <biebl@debian.org>, Michael Terry <mterry@ubuntu.com>, Tim Lunn <tim@feathertop.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: appstream-util,
               cmake,
               dbus-x11,
               debhelper (>= 9),
               desktop-file-utils,
               dh-translations,
               gnome-pkg-tools,
               intltool (>= 0.40),
               itstool,
               libglib2.0-dev (>= 2.34),
               libgtk-3-dev (>= 3.6),
               libnautilus-extension-dev,
               libnotify-dev (>= 0.7),
               libpeas-dev,
               libsecret-1-dev,
               libunity-control-center-dev,
               libunity-dev (>= 5.0.0),
               pkg-config,
               python3,
               valac (>= 0.20)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/deja-dup/ubuntu

Package: deja-dup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         duplicity (>= 0.6.23),
         adwaita-icon-theme
Recommends: deja-dup-backend-gvfs,
            policykit-1,
Suggests: deja-dup-backend-cloudfiles,
          deja-dup-backend-s3,
Description: Back up your files
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3,
    and Rackspace Cloud Files
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

Package: deja-dup-backend-gvfs
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         gvfs-backends,
Description: Remote server support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds FTP, SSH, WebDAV, and Windows Shares support to Déjà Dup.

Package: deja-dup-backend-cloudfiles
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         python-cloudfiles,
Description: Rackspace Cloudfiles support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds Rackspace Cloudfiles support to Déjà Dup.

Package: deja-dup-backend-s3
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         python-boto (>= 0.9d),
Description: Amazon S3 support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds Amazon S3 support to Déjà Dup.

## deja-dup 34.2

=== CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

project(deja-dup C)
set(SERIES 34)
set(VERSION 34.2)
cmake_minimum_required(VERSION 2.8)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
include(DejaDupMacros)

deja_option(ENABLE_NAUTILUS "Build nautilus plugin" CHECK)
deja_option(ENABLE_UNITY "Integrate with Unity" CHECK)
deja_option(ENABLE_UNITY_CCPANEL "Build unity-control-center panel" CHECK)

find_package(PkgConfig 0.24 REQUIRED)
find_package(Vala 0.20 REQUIRED)
deja_find_required_program(MSGFMT msgfmt)
deja_find_required_program(INTLTOOL_MERGE intltool-merge)
deja_check_modules(GLIB REQUIRED glib-2.0>=2.34 gio-2.0 gio-unix-2.0 gmodule-2.0)
deja_check_modules(GTK REQUIRED gtk+-3.0>=3.6)
deja_check_modules(NOTIFY REQUIRED libnotify>=0.7)
deja_check_modules(PEAS REQUIRED libpeas-1.0)
deja_check_modules(PK REQUIRED packagekit-glib2)
deja_check_modules(SECRET REQUIRED libsecret-1)

# This is obnoxious.
set(PK_CFLAGS "${PK_CFLAGS} -DI_KNOW_THE_PACKAGEKIT_GLIB2_API_IS_SUBJECT_TO_CHANGE")

deja_enable_option(NAUTILUS libnautilus-extension)
if(ENABLE_NAUTILUS)
  execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=extensiondir libnautilus-extension
                  OUTPUT_VARIABLE NAUTILUS_EXTENSIONDIR
                  OUTPUT_STRIP_TRAILING_WHITESPACE
                  ERROR_QUIET)
endif()

deja_enable_option(UNITY_CCPANEL libunity-control-center)
if(ENABLE_UNITY_CCPANEL)
  execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=extensiondir libunity-control-center
                  OUTPUT_VARIABLE UNITY_CCPANEL_EXTENSIONDIR
                  OUTPUT_STRIP_TRAILING_WHITESPACE
                  ERROR_QUIET)
endif()

# Set up some common configuration values; Vala sees these via config.vapi.
include(GNUInstallDirs)
set(PACKAGE "deja-dup")
set(GETTEXT_PACKAGE "deja-dup")
set(PKG_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}/${PACKAGE}")
set(PKG_LIBDIR "${CMAKE_INSTALL_FULL_LIBDIR}/${PACKAGE}")
set(PKG_LIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${PACKAGE}")
set(CMAKE_INSTALL_RPATH "${PKG_LIBDIR}") # internal libraries go here
set(COMMON_CFLAGS "-w")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DPACKAGE=\\\"${PACKAGE}\\\"")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DGETTEXT_PACKAGE=\\\"${GETTEXT_PACKAGE}\\\"")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DVERSION=\\\"${VERSION}\\\"")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DLOCALE_DIR=\\\"${CMAKE_INSTALL_FULL_LOCALEDIR}\\\"")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DTHEME_DIR=\\\"${CMAKE_INSTALL_FULL_DATADIR}/icons\\\"")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DPKG_DATA_DIR=\\\"${PKG_DATADIR}\\\"")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DPKG_LIBEXEC_DIR=\\\"${PKG_LIBEXECDIR}\\\"")

include(${VALA_USE_FILE})
set(COMMON_VFLAGS --target-glib=2.34)
if(GTK_VERSION VERSION_GREATER "3.10" OR GTK_VERSION VERSION_EQUAL "3.10")
  set(COMMON_VFLAGS ${COMMON_VFLAGS} -D HAVE_GTK_3_10)
endif()

deja_enable_option(UNITY unity>=3.4.2)
if(ENABLE_UNITY)
  set(COMMON_VFLAGS ${COMMON_VFLAGS} -D HAVE_UNITY)
  set(UNITY_PACKAGE "unity")
endif()

include(CTest)
enable_testing()
add_custom_target(autopilot)
add_custom_target(autopilot-system)
add_custom_target(test-system)

set(CPACK_PACKAGE_VERSION "${VERSION}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE}-${VERSION}")
set(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_SOURCE_IGNORE_FILES "/.bzr/;/.bzrignore;/builddir/;/debian/;~$")
include(CPack)

add_subdirectory(data)
add_subdirectory(deja-dup)
add_subdirectory(libdeja)
add_subdirectory(man)
add_subdirectory(po)
add_subdirectory(tests)

=== data/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=glib_compile_schemas gio-2.0
                OUTPUT_VARIABLE GLIB_COMPILE_SCHEMAS
                OUTPUT_STRIP_TRAILING_WHITESPACE
                ERROR_QUIET)
deja_merge_po(xml org.gnome.DejaDup.gschema.xml "${CMAKE_INSTALL_FULL_DATADIR}/glib-2.0/schemas" NO_MERGE)
install(CODE "
  if(\"\$ENV{DESTDIR}\" STREQUAL \"\")
    execute_process(COMMAND ${GLIB_COMPILE_SCHEMAS} \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_DATADIR}/glib-2.0/schemas\")
  endif()
")
add_test(validate-org.gnome.DejaDup.gschema.xml ${GLIB_COMPILE_SCHEMAS} --strict --dry-run --schema-file="${CMAKE_CURRENT_BINARY_DIR}/org.gnome.DejaDup.gschema.xml")

install(FILES deja-dup.convert DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/GConf/gsettings")

install(DIRECTORY icons/hicolor DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/icons")
find_program(GTK_UPDATE_ICON_CACHE gtk-update-icon-cache)
if(GTK_UPDATE_ICON_CACHE)
install(CODE "
  if(\"\$ENV{DESTDIR}\" STREQUAL \"\")
    execute_process(COMMAND ${GTK_UPDATE_ICON_CACHE} -f -t \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor\")
  endif()
")
endif()

=== deja-dup/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

vala_precompile(VALA_C main.vala
                       Assistant.vala
                       AssistantBackup.vala
                       AssistantOperation.vala
                       AssistantRestore.vala
                       AssistantRestoreMissing.vala
                       MountOperationAssistant.vala
                       Prompt.vala
                       StatusIcon.vala
                PACKAGES gio-unix-2.0 gtk+-3.0 libnotify libpeas-1.0 libsecret-1 ${UNITY_PACKAGE}
                CUSTOM_VAPIS ${CMAKE_BINARY_DIR}/libdeja/deja.vapi
                             ${CMAKE_CURRENT_BINARY_DIR}/widgets/widgets.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/config.vapi
                OPTIONS ${COMMON_VFLAGS})
add_executable(deja-dup ${VALA_C})
target_link_libraries(deja-dup deja widgets ${GTK_LDFLAGS} ${NOTIFY_LDFLAGS} ${PEAS_LDFLAGS} ${SECRET_LDFLAGS} ${UNITY_LDFLAGS})
set_target_properties(deja-dup PROPERTIES
                      COMPILE_FLAGS "${GTK_CFLAGS} ${NOTIFY_CFLAGS} ${PEAS_CFLAGS} ${SECRET_CFLAGS} ${UNITY_CFLAGS} ${COMMON_CFLAGS}"
                      INCLUDE_DIRECTORIES "${CMAKE_BINARY_DIR}/libdeja;${CMAKE_CURRENT_BINARY_DIR}/widgets")
install(TARGETS deja-dup DESTINATION bin)

deja_merge_po(desktop deja-dup.desktop "${CMAKE_INSTALL_FULL_DATADIR}/applications")

deja_merge_po(xml deja-dup.appdata.xml "${CMAKE_INSTALL_FULL_DATADIR}/appdata")
find_program(APPSTREAM_UTIL appstream-util)
if(APPSTREAM_UTIL)
  add_test(validate-deja-dup.appdata.xml appstream-util --nonet validate-relax "${CMAKE_CURRENT_BINARY_DIR}/deja-dup.appdata.xml")
endif()

install(DIRECTORY ui DESTINATION "${PKG_DATADIR}")

add_subdirectory(help)
add_subdirectory(monitor)
add_subdirectory(nautilus)
add_subdirectory(preferences)
add_subdirectory(tests)
add_subdirectory(widgets)

=== deja-dup/tests/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

if(ENABLE_UNITY_CCPANEL)
  set(HAS_UNITY_CCPANEL "1")
else()
  set(HAS_UNITY_CCPANEL "0")
endif()

add_custom_target(autopilot-deja-dup
                  COMMAND env HAS_UNITY_CCPANEL=${HAS_UNITY_CCPANEL} LANG=C DEJA_DUP_TESTING=1 PYTHONDONTWRITEBYTECODE=1 PYTHONPATH="${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_SOURCE_DIR}/tests/shell" autopilot-sandbox-run deja_dup_autopilot)
add_dependencies(autopilot autopilot-deja-dup)

add_custom_target(autopilot-system-deja-dup
                  COMMAND env HAS_UNITY_CCPANEL=${HAS_UNITY_CCPANEL} LANG=C DEJA_DUP_TESTING=1 PYTHONDONTWRITEBYTECODE=1 PYTHONPATH="${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_SOURCE_DIR}/tests/shell-system" autopilot-sandbox-run deja_dup_autopilot)
add_dependencies(autopilot-system autopilot-system-deja-dup)

=== deja-dup/widgets/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

vala_precompile(VALA_C ConfigBool.vala
                       ConfigChoice.vala
                       ConfigDelete.vala
                       ConfigEntry.vala
                       ConfigFolder.vala
                       ConfigLabel.vala
                       ConfigLabelBackupDate.vala
                       ConfigLabelDescription.vala
                       ConfigLabelLocation.vala
                       ConfigList.vala
                       ConfigLocation.vala
                       ConfigLocationCustom.vala
                       ConfigLocationDAV.vala
                       ConfigLocationFile.vala
                       ConfigLocationFTP.vala
                       ConfigLocationGCS.vala
                       ConfigLocationGDrive.vala
                       ConfigLocationOpenstack.vala
                       ConfigLocationRackspace.vala
                       ConfigLocationS3.vala
                       ConfigLocationSSH.vala
                       ConfigLocationSMB.vala
                       ConfigLocationTable.vala
                       ConfigLocationU1.vala
                       ConfigLocationVolume.vala
                       ConfigPeriod.vala
                       ConfigRelPath.vala
                       ConfigURLPart.vala
                       ConfigURLPartBool.vala
                       ConfigWidget.vala
                       WidgetUtils.vala
                PACKAGES gtk+-3.0 libnotify libpeas-1.0 libsecret-1 ${UNITY_PACKAGE}
                CUSTOM_VAPIS ${CMAKE_BINARY_DIR}/libdeja/deja.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/config.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/uriutils.vapi
                OPTIONS ${COMMON_VFLAGS}
                GENERATE_VAPI widgets
                GENERATE_HEADER widgets)
add_library(widgets SHARED ${VALA_C})
target_link_libraries(widgets deja ${GTK_LDFLAGS} ${NOTIFY_LDFLAGS} ${PEAS_LDFLAGS} ${SECRET_LDFLAGS} ${UNITY_LDFLAGS})
set_target_properties(widgets PROPERTIES
                      INCLUDE_DIRECTORIES "${CMAKE_BINARY_DIR}/libdeja;${CMAKE_SOURCE_DIR}/libdeja"
                      COMPILE_FLAGS "${GTK_CFLAGS} ${NOTIFY_CFLAGS} ${PEAS_CFLAGS} ${SECRET_CFLAGS} ${UNITY_CFLAGS} ${COMMON_CFLAGS}")
install(TARGETS widgets DESTINATION "${PKG_LIBDIR}")

=== libdeja/tests/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

if(BUILD_TESTING)

vala_precompile(VALA_C runner.vala
                PACKAGES gio-2.0 libpeas-1.0 libsecret-1 posix
                CUSTOM_VAPIS ${CMAKE_BINARY_DIR}/libdeja/deja.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/config.vapi
                OPTIONS ${COMMON_VFLAGS})
add_executable(test-runner ${VALA_C})
target_link_libraries(test-runner deja ${GLIB_LDFLAGS} ${PEAS_LDFLAGS} ${SECRET_LDFLAGS})
set_target_properties(test-runner PROPERTIES
                      COMPILE_FLAGS "${GLIB_CFLAGS} ${PEAS_CFLAGS} ${SECRET_CFLAGS} ${COMMON_CFLAGS}"
                      INCLUDE_DIRECTORIES "${CMAKE_BINARY_DIR}/libdeja")

file(GLOB SCRIPTS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/scripts scripts/*.test)
foreach(SCRIPT ${SCRIPTS})
  add_custom_target(test-${SCRIPT}
                    COMMAND env top_builddir=${CMAKE_BINARY_DIR} srcdir=${CMAKE_CURRENT_SOURCE_DIR} dbus-launch ./test-runner ${CMAKE_CURRENT_SOURCE_DIR}/scripts/${SCRIPT})
  add_test(${SCRIPT} env top_builddir=${CMAKE_BINARY_DIR} srcdir=${CMAKE_CURRENT_SOURCE_DIR} dbus-launch ./test-runner ${CMAKE_CURRENT_SOURCE_DIR}/scripts/${SCRIPT})
endforeach()

# Now add some dependencies for the special test-system target
foreach(SCRIPT ${SCRIPTS})
  add_custom_target(test-system-${SCRIPT}
                    COMMAND env top_builddir=${CMAKE_BINARY_DIR} srcdir=${CMAKE_CURRENT_SOURCE_DIR} dbus-launch ./test-runner --system ${CMAKE_CURRENT_SOURCE_DIR}/scripts/${SCRIPT})
  set(TEST_SYSTEM_TARGETS ${TEST_SYSTEM_TARGETS} test-system-${SCRIPT})
endforeach()
add_dependencies(test-system test-runner ${TEST_SYSTEM_TARGETS})

endif(BUILD_TESTING)

add_subdirectory(unit)

=== libdeja/tools/duplicity/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

vala_precompile(VALA_C DuplicityInstance.vala
                       DuplicityJob.vala
                       DuplicityPlugin.vala
                PACKAGES gio-2.0 gio-unix-2.0 libpeas-1.0 libsecret-1 posix
                CUSTOM_VAPIS ${CMAKE_BINARY_DIR}/libdeja/deja.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/config.vapi
                OPTIONS ${COMMON_VFLAGS})
add_library(duplicity MODULE ${VALA_C})
target_link_libraries(duplicity deja ${GLIB_LDFLAGS} ${PEAS_LDFLAGS} ${SECRET_LDFLAGS})
set_target_properties(duplicity PROPERTIES
                      COMPILE_FLAGS "${GLIB_CFLAGS} ${PEAS_CFLAGS} ${SECRET_CFLAGS} ${COMMON_CFLAGS}")
install(TARGETS duplicity DESTINATION "${PKG_LIBEXECDIR}/tools")

configure_file(duplicity.plugin duplicity.plugin COPYONLY) # for script tests
install(FILES duplicity.plugin DESTINATION "${PKG_LIBEXECDIR}/tools")

=== debian/changelog ===
deja-dup (34.2-0ubuntu1.1) xenial; urgency=medium

  * debian/patches/clear-cache-before-full-backup.patch:
    - Fixes a bug that allowed an incorrect password when making a
      new full backup (LP: #918489)

 -- Michael Terry <mterry@ubuntu.com>  Fri, 02 Dec 2016 16:07:55 -0500

deja-dup (34.2-0ubuntu1) xenial; urgency=medium

  * New bug-fix upstream release:
    - Fixes restoring some files with unicode characters (LP: #1377873)
  * debian/patch/series:
    - Disable appstream patch, upstream merged it

 -- Michael Terry <mterry@ubuntu.com>  Thu, 07 Apr 2016 12:11:31 -0400

deja-dup (34.1-1ubuntu3) xenial; urgency=medium

  * d/control.in, d/p/install-pygi.patch:
    - Install deja-dup-backend-gvfs dynamically instead of python-gi,
      so we can keep samba-libs off the default image too.
      (LP: #1551989)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 02 Mar 2016 09:41:13 -0500

deja-dup (34.1-1ubuntu2) xenial; urgency=medium

  * d/control.in, d/p/install-pygi.patch:
    - Install python-gi on the fly, like we do with duplicity itself.
      It's only needed once duplicity is installed, and only to
      optionally enable some backends.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 18 Feb 2016 11:11:37 -0500

deja-dup (34.1-1ubuntu1) xenial; urgency=medium

  * Merge from debian unstable
  * debian/control.in:
    - Add python-gi as a Depend for deja-dup-backend-gvfs
  * Drop help2man Debian patch, upstream fixed that issue

 -- Michael Terry <mterry@ubuntu.com>  Wed, 17 Feb 2016 14:17:25 -0500

deja-dup (34.1-1) unstable; urgency=medium

  * New upstraem release.
    - Refresh debian/patches/01_ignore_appstream.patch
    - Add libpackagekit-glib2-dev to the build-dependencies
  * debian/patches/01_ignore_appstream.patch: Add appstream key to ignore
    some .desktop files
  * debian/patches/help2man.patch: Use system help2man instead of embedded
    copy to allow reproducible build (Closes: #805787)
  * Suggest python-swiftclient for OpenStack Swift support

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Dec 2015 00:10:56 +0100

deja-dup (34.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * debian/control: Drop duplicity to a Suggests, to help get python2
    off of the default Ubuntu image (this new upstream version will
    install duplicity on demand via packagekit)
  * debian/copyright: Update from upstream's AUTHORS

 -- Michael Terry <mterry@ubuntu.com>  Sun, 29 Nov 2015 11:13:19 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Barry Warsaw <barry@ubuntu.com>, Iain Lane <iain@orangesquash.org.uk>, Jackson Doak <noskcaj@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Louis Bouchard <louis.bouchard@ubuntu.com>, Michael Biebl <biebl@debian.org>, Michael Terry <mterry@ubuntu.com>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://launchpad.net/deja-dup
 Build-Depends: appstream-util,
                cmake,
@@ -17,18 +17,19 @@
                dh-translations,
                gnome-pkg-tools,
                intltool (>= 0.40),
-               itstool,
                libglib2.0-dev (>= 2.34),
                libgtk-3-dev (>= 3.6),
                libnautilus-extension-dev,
                libnotify-dev (>= 0.7),
+               libpackagekit-glib2-dev,
                libpeas-dev,
                libsecret-1-dev,
                libunity-control-center-dev,
                libunity-dev (>= 5.0.0),
                pkg-config,
                python3,
-               valac (>= 0.20)
+               valac (>= 0.20),
+               yelp-tools
 Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/deja-dup/ubuntu
@@ -37,12 +38,12 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         duplicity (>= 0.6.23),
          adwaita-icon-theme
-Recommends: deja-dup-backend-gvfs,
-            policykit-1,
+Recommends: policykit-1,
 Suggests: deja-dup-backend-cloudfiles,
+          deja-dup-backend-gvfs,
           deja-dup-backend-s3,
+          duplicity (>= 0.6.23),
 Description: Back up your files
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
  Right Way (encrypted, off-site, and regular) and uses duplicity as the
@@ -60,7 +61,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          deja-dup,
+         duplicity,
          gvfs-backends,
+         python-gi,
 Description: Remote server support for Déjà Dup
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
  Right Way (encrypted, off-site, and regular) and uses duplicity as the
@@ -72,6 +75,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          deja-dup,
+         duplicity,
          python-cloudfiles,
 Description: Rackspace Cloudfiles support for Déjà Dup
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
@@ -84,6 +88,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          deja-dup,
+         duplicity,
          python-boto (>= 0.9d),
 Description: Amazon S3 support for Déjà Dup
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --buildsystem cmake --with gnome --with translations

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_NAUTILUS=ON \
	                     -DENABLE_UNITY=ON \
	                     -DENABLE_UNITY_CCPANEL=ON \
	                     -DCMAKE_INSTALL_LIBEXECDIR="/usr/lib/${DEB_HOST_MULTIARCH}" \
	                     -DCMAKE_INSTALL_SYSCONFDIR="/etc"

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
	rm -rf $(CURDIR)/debian/tmp-home
	mkdir -p $(CURDIR)/debian/tmp-home
	HOME=$(CURDIR)/debian/tmp-home dh_auto_test
	fusermount -u $(CURDIR)/debian/tmp-home/.gvfs || true
	rm -rf $(CURDIR)/debian/tmp-home

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/debian/tmp-home

=== debian/tests/control ===
#Tests: autopilot
#Depends: @,
#         autopilot-desktop,
#         cmake,
#         dbus-x11,
#         gnome-control-center,
#         libautopilot-gtk,
#         python-evdev,
#         xvfb,
#Restrictions: build-needed

Tests: check
Depends: @,
         cmake,
         dbus-x11,
         make,
Restrictions: build-needed

=== debian/watch ===
version=3
https://launchpad.net/deja-dup/+download .*/deja-dup-(.+)\.tar\.xz

## deja-dup 34.2-0ubuntu1.1+8.0trisquel1

=== debian/changelog ===
deja-dup (34.2-0ubuntu1.1+8.0trisquel1) flidas; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 18 Jun 2017 02:24:01 +0000

## deja-dup 34.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 project(deja-dup C)
 set(SERIES 34)
-set(VERSION 34.2)
+set(VERSION 34.3)
 cmake_minimum_required(VERSION 2.8)
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 include(DejaDupMacros)

=== libdeja/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

vala_precompile(VALA_C AsyncCommand.vala
                       Backend.vala
                       BackendAuto.vala
                       BackendFile.vala
                       BackendGCS.vala
                       BackendGDrive.vala
                       BackendOpenstack.vala
                       BackendRackspace.vala
                       BackendS3.vala
                       BackendU1.vala
                       Checker.vala
                       CommonUtils.vala
                       DirHandling.vala
                       FilteredSettings.vala
                       Network.vala
                       Operation.vala
                       OperationBackup.vala
                       OperationFiles.vala
                       OperationRestore.vala
                       OperationStatus.vala
                       OperationVerify.vala
                       PythonChecker.vala
                       RecursiveDelete.vala
                       RecursiveMove.vala
                       RecursiveOp.vala
                       ToolPlugin.vala
                PACKAGES gio-2.0 gio-unix-2.0 libpeas-1.0 libsecret-1 posix
                CUSTOM_VAPIS ${CMAKE_SOURCE_DIR}/vapi/config.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/secret.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/uriutils.vapi
                OPTIONS ${COMMON_VFLAGS}
                GENERATE_VAPI deja
                GENERATE_HEADER deja)
add_library(deja SHARED ${VALA_C} uriutils.c)
target_link_libraries(deja ${GLIB_LDFLAGS} ${PEAS_LDFLAGS} ${SECRET_LDFLAGS})
set_target_properties(deja PROPERTIES
                      INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}"
                      COMPILE_FLAGS "${GLIB_CFLAGS} ${PEAS_CFLAGS} ${SECRET_CFLAGS} ${COMMON_CFLAGS}")
install(TARGETS deja DESTINATION "${PKG_LIBDIR}")

add_subdirectory(tests)
add_subdirectory(tools)

=== deja-dup/monitor/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

vala_precompile(VALA_C monitor.vala
                PACKAGES gio-2.0 libnotify libpeas-1.0 libsecret-1
                CUSTOM_VAPIS ${CMAKE_BINARY_DIR}/libdeja/deja.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/config.vapi
                OPTIONS ${COMMON_VFLAGS})
add_executable(deja-dup-monitor ${VALA_C})
target_link_libraries(deja-dup-monitor deja ${GLIB_LDFLAGS} ${NOTIFY_LDFLAGS} ${PEAS_LDFLAGS} ${SECRET_LDFLAGS})
set_target_properties(deja-dup-monitor PROPERTIES
                      COMPILE_FLAGS "${GLIB_CFLAGS} ${NOTIFY_CFLAGS} ${PEAS_CFLAGS} ${SECRET_CFLAGS} ${COMMON_CFLAGS}"
                      INCLUDE_DIRECTORIES "${CMAKE_BINARY_DIR}/libdeja")
install(TARGETS deja-dup-monitor DESTINATION "${PKG_LIBEXECDIR}")

deja_merge_po(desktop deja-dup-monitor.desktop "${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart")

=== debian/changelog ===
deja-dup (34.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Browser to use cgit instead of gitweb.
  * Drop --parallel from debhelper options. It's the default with compat 10.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Dec 2016 23:01:58 +0100

deja-dup (34.2-2) unstable; urgency=medium

  * Bump debhelper compat level to 10.
  * Drop override for dh_auto_install, not needed.
  * Bump Build-Depends on libnautilus-extension-dev to (>= 3.21.92-3~).
    This ensures we have a version with multiarch support.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Sep 2016 16:42:47 +0200

deja-dup (34.2-1) unstable; urgency=medium

  * New upstraem release.
    - Drop debian/patches/01_ignore_appstream.patch, applied upstream
  * debian/watch: Check the gpg signature for the downloaded tarball
  * debian/control.in: Bump Standards-Version to 3.9.8 (no furher changes)
  * Drop -dbg package and rely on automatically built -dbgsym one
  * debian/rules: Drop ENABLE_CCPANEL variable, support for building the GNOME
    Control Center plugin has been removed.
  * debian/control.in: Update Vcs-* URL's to please lintian (again)
  * Update the debian/copyright file

 -- Laurent Bigonville <bigon@debian.org>  Mon, 25 Apr 2016 15:23:46 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: cmake,
               debhelper (>= 10),
               gnome-pkg-tools,
               help2man,
               intltool (>= 0.40),
               libglib2.0-dev (>= 2.34),
               libgtk-3-dev (>= 3.6),
               libnautilus-extension-dev (>= 3.21.92-3~),
               libnotify-dev (>= 0.7),
               libpackagekit-glib2-dev,
               libpeas-dev,
               libsecret-1-dev,
               pkg-config,
               valac (>= 0.20),
               yelp-tools
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/deja-dup.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/deja-dup.git

Package: deja-dup
Architecture: any
Depends: duplicity (>= 0.6.23), ${misc:Depends}, ${shlibs:Depends}
Recommends: gvfs-backends,
            python-boto (>= 0.9d),
            python-cloudfiles,
            ssh-client | openssh-client
Suggests: python-swiftclient
Description: Backup utility
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3
    or Rackspace Cloud Files
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cmake --with gnome

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_NAUTILUS=ON \
	                     -DENABLE_UNITY=OFF \
	                     -DENABLE_UNITY_CCPANEL=OFF \
	                     -DCMAKE_INSTALL_LIBEXECDIR="/usr/lib" \
	                     -DCMAKE_INSTALL_SYSCONFDIR="/etc"

override_dh_makeshlibs:
	dh_makeshlibs --exclude=libdeja-dup.so

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbgsym-migration='deja-dup-dbg (<< 34.2-1~)'

# Skip check, dconf may cause intermittent crashes
override_dh_auto_test:

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://launchpad.net/deja-dup/+download .*/deja-dup-(.+)\.tar\.xz

## deja-dup 34.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 project(deja-dup C)
 set(SERIES 34)
-set(VERSION 34.3)
+set(VERSION 34.4)
 cmake_minimum_required(VERSION 2.8)
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 include(DejaDupMacros)

=== deja-dup/preferences/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

# Hide preferences if have control center panel
if(ENABLE_UNITY_CCPANEL)
  set(PREFERENCES_NOTSHOWIN "Unity7;")
endif()

vala_precompile(VALA_C preferences-main.vala
                       Preferences.vala
                PACKAGES gtk+-3.0 libpeas-1.0 libsecret-1
                CUSTOM_VAPIS ${CMAKE_BINARY_DIR}/libdeja/deja.vapi
                             ${CMAKE_BINARY_DIR}/deja-dup/widgets/widgets.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/config.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/packagekit-glib2.vapi
                OPTIONS ${COMMON_VFLAGS})
add_executable(deja-dup-preferences ${VALA_C})
target_link_libraries(deja-dup-preferences deja widgets ${GTK_LDFLAGS} ${NOTIFY_LDFLAGS} ${PEAS_LDFLAGS} ${PK_LDFLAGS} ${SECRET_LDFLAGS})
set_target_properties(deja-dup-preferences PROPERTIES
                      INCLUDE_DIRECTORIES "${CMAKE_BINARY_DIR}/libdeja;${CMAKE_BINARY_DIR}/deja-dup/widgets"
                      COMPILE_FLAGS "${GTK_CFLAGS} ${PEAS_CFLAGS} ${PK_CFLAGS} ${SECRET_CFLAGS} ${COMMON_CFLAGS}")
install(TARGETS deja-dup-preferences DESTINATION bin)

deja_merge_po(desktop deja-dup-preferences.desktop "${CMAKE_INSTALL_FULL_DATADIR}/applications")

if(ENABLE_UNITY_CCPANEL)
add_library(deja-dup-unity-ccpanel MODULE Preferences.c PreferencesPanel.c)
target_link_libraries(deja-dup-unity-ccpanel deja widgets ${UNITY_CCPANEL_LDFLAGS} ${GTK_LDFLAGS} ${PEAS_LDFLAGS} ${PK_LDFLAGS} ${SECRET_LDFLAGS})
set_target_properties(deja-dup-unity-ccpanel PROPERTIES
                      OUTPUT_NAME deja-dup
                      LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/unity-ccpanel"
                      INCLUDE_DIRECTORIES "${CMAKE_BINARY_DIR}/libdeja;${CMAKE_BINARY_DIR}/deja-dup/widgets"
                      COMPILE_FLAGS "-DUSE_UNITY ${UNITY_CCPANEL_CFLAGS} ${GTK_CFLAGS} ${PEAS_CFLAGS} ${PK_CFLAGS} ${SECRET_CFLAGS} ${COMMON_CFLAGS}")
install(TARGETS deja-dup-unity-ccpanel DESTINATION "${UNITY_CCPANEL_EXTENSIONDIR}")

deja_merge_po(desktop unity-deja-dup-panel.desktop "${CMAKE_INSTALL_FULL_DATADIR}/applications")
endif()

=== debian/changelog ===
deja-dup (34.4-0ubuntu1) zesty; urgency=medium

  * New bug-fix upstream release:
    - In MATE, call the file manager Caja, not Files (LP: #1657092)
    - Fix documentation and strictness of using xdg location variables
      in gsettings include/exclude keys
    - Don't show control center panel in Unity8

 -- Michael Terry <mterry@ubuntu.com>  Thu, 09 Mar 2017 14:30:50 -0500

deja-dup (34.3-0ubuntu1) zesty; urgency=medium

  * New bug-fix upstream release:
    - Fixes a bug that allowed an incorrect password when making a
      new full backup (LP: #918489)

 -- Michael Terry <mterry@ubuntu.com>  Sun, 27 Nov 2016 17:21:31 -0500

deja-dup (34.2-0ubuntu4) zesty; urgency=medium

  * debian/patches/glib-fancy-quotes:  Make the instance-error test work with
    “fancy” and "normal" quotes - the former are now outputted by glib as of
    2.51.0.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 18 Nov 2016 11:07:16 +0000

deja-dup (34.2-0ubuntu3) yakkety; urgency=medium

  * No-change rebuild to install nautilus extension to multiarch directory

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Sep 2016 22:16:35 -0400

deja-dup (34.2-0ubuntu2) yakkety; urgency=medium

  * No change rebuild with the new libpackagekit soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 Jul 2016 08:26:17 +0200
